<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:padding="@dimen/custom_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    >

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/white"
        app:cardElevation="@dimen/custom_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/img_filter"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_gravity="right"
                android:gravity="center_vertical"
                android:src="@drawable/filter_icon"
                android:textColor="@color/black"
                android:layout_marginRight="5dp"
                android:visibility="gone"
                />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:weightSum="13"
                android:visibility="gone"
                >

                <ImageView
                    android:id="@+id/img_filter1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight=".7"
                    android:gravity="center_vertical"
                    android:src="@drawable/filter_icon"
                    android:textColor="@color/black" />

                <Spinner
                    android:id="@+id/stock_brand_spin"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="3dp"
                    android:layout_weight="3"
                    android:gravity="center" />

                <View
                    android:layout_width="2dp"
                    android:layout_height="match_parent"
                    android:background="@color/light_grey"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="5dp"/>


                <Spinner
                    android:id="@+id/axe_spin"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="3dp"
                    android:layout_weight="4.2"
                    android:gravity="center" />
                <View
                    android:layout_width="2dp"
                    android:layout_height="match_parent"
                    android:background="@color/light_grey"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="5dp"/>

                <Spinner
                    android:id="@+id/sub_axe_spin"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="3dp"
                    android:layout_weight="5"
                    android:gravity="center" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginRight="5dp">

                <EditText
                    android:hint="Search Product"
                    android:id="@+id/et_search"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="3"
                    android:drawableLeft="@android:drawable/ic_menu_search"
                    android:drawableStart="@android:drawable/ic_menu_search"
                    android:focusableInTouchMode="true"
                    />
                <ImageView
                    android:id="@+id/img_unfilled"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_weight="1"
                    android:visibility="gone"
                    android:src="@mipmap/blanckstock"/>

                <ImageView
                    android:id="@+id/img_scan"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_weight="1"
                    android:src="@mipmap/barcode_icon"/>

                <ImageView
                    android:id="@+id/img_clear_subaxe"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/cancel_icon"
                    android:layout_gravity="center"
                    />

            </LinearLayout>

            <Spinner
                android:id="@+id/sku_spin"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:layout_marginLeft="@dimen/custom_layout_margin_50"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginRight="@dimen/custom_layout_margin_50" />

        </LinearLayout>



    </androidx.cardview.widget.CardView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rec_subaxe"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        />

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view_only"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="@dimen/custom_margin3dp"
        app:cardBackgroundColor="@android:color/transparent"
        android:visibility="gone"
        android:layout_margin="@dimen/custom_margin2dp">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/only_view"
            android:padding="@dimen/custom_layout_margin11"
            android:layout_gravity="center"
            android:gravity="center"
            android:textColor="@color/red"
            android:textSize="@dimen/text_size_16sp"
            android:textStyle="bold"/>
    </androidx.cardview.widget.CardView>


    <LinearLayout
        android:id="@+id/rl_total_qty"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_gravity="center_vertical"
        android:gravity="center_vertical"
        android:layout_margin="@dimen/custom_margin"
        android:visibility="gone"
        android:weightSum="10">

        <TextView
            android:id="@+id/txt_total_qty"
            android:gravity="center"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="5"
            android:text="Invoice Qty"
            android:textStyle="normal"
            android:layout_gravity="center"
            android:textSize="@dimen/text_14sp"
            android:padding="@dimen/custom_margin3dp"
            android:textColor="@color/black"/>
        <TextView
            android:id="@+id/txt_total_value"
            android:gravity="center"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="5"
            android:layout_gravity="center"
            android:text="Actual Qty"
            android:textStyle="normal"
            android:textSize="@dimen/text_14sp"
            android:padding="@dimen/custom_margin3dp"
            android:textColor="@color/black" />
    </LinearLayout>


    <ExpandableListView
        android:id="@+id/lvExp_stock_check"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin"
        android:cacheColorHint="#000000"
        android:divider="@null"
        android:layout_marginBottom="?actionBarSize"
        android:scrollingCache="false" />

</LinearLayout>